// 002 u_12_f_tlist_of_c_double
// 01 jul 2007

// -- (C) John COLIBRI 2007
// -- documentation: http://www.jcolibri.com

(*$r+*)

unit u_12_tlist_of_c_double;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Panel1: TPanel;
    Panel2: TPanel;
    exit_: TButton;
    clear_: TButton;
    create_list: TButton;
    add_doubles: TButton;
    display_doubles: TButton;
    free_list: TButton;
    set_4_direct: TButton;
    procedure create_listClick(Sender: TObject);
    procedure add_doublesClick(Sender: TObject);
    procedure display_doublesClick(Sender: TObject);
    procedure free_listClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure clear_Click(Sender: TObject);
    procedure exit_Click(Sender: TObject);
    procedure set_4_directClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

    var Form1: TForm1;

  implementation
    uses u_c_log, u_c_display
        , u_c_tlist_of_c_double;

    {$R *.DFM}

    procedure TForm1.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_default_log;
      end; // form_create

    procedure TForm1.exit_Click(Sender: TObject);
      begin
        Close;
      end; // exit_Click

    procedure TForm1.clear_Click(Sender: TObject);
      begin
        clear_display;
      end; // clear_Click

    var g_c_tlist_of_c_double: c_tlist_of_c_double= Nil;

    procedure TForm1.create_listClick(Sender: TObject);
      begin
        g_c_tlist_of_c_double:= c_tlist_of_c_double.Create;
      end; // create_arrayClick

    procedure TForm1.add_doublesClick(Sender: TObject);
      begin
        if g_c_tlist_of_c_double= Nil
          then g_c_tlist_of_c_double.Create;

        g_c_tlist_of_c_double.add_double(1.1);
        g_c_tlist_of_c_double.add_double(2.2);
        g_c_tlist_of_c_double.add_double(3.3);
        g_c_tlist_of_c_double.add_double(4.4);
      end; // add_doubles_Click

    procedure TForm1.display_doublesClick(Sender: TObject);
      var l_index: Integer;
      begin
        for l_index:= 0 to g_c_tlist_of_c_double.Count- 1 do
          Memo1.Lines.Add(FloatToStr(g_c_tlist_of_c_double.Doubles[l_index]));
      end; // display_doubles_Click

    procedure TForm1.free_listClick(Sender: TObject);
      begin
        FreeAndNil(g_c_tlist_of_c_double);
      end; // free_double_Click

    procedure TForm1.set_4_directClick(Sender: TObject);
      begin
        if g_c_tlist_of_c_double= Nil
          then g_c_tlist_of_c_double.Create;

        g_c_tlist_of_c_double.Doubles[3]:= 4.4;
      end; // set_4_directClick

end.
